import { type Facade } from '../../facade/facade.js';
import { SoloConfigSchema } from '../../../../data/schema/model/solo/solo-config-schema.js';
import { HelmChart } from '../common/helm-chart.js';
import { Tss } from './tss.js';
import { type ConfigProvider } from '../../../../data/configuration/api/config-provider.js';
export declare class SoloConfig implements Facade<SoloConfigSchema> {
    readonly encapsulatedObject: SoloConfigSchema;
    private readonly _helmChart;
    private readonly _ingressControllerHelmChart;
    private readonly _clusterSetupHelmChart;
    private readonly _certManagerHelmChart;
    private readonly _tss;
    constructor(schema: SoloConfigSchema);
    static getConfig(configProvider: ConfigProvider): SoloConfig;
    get helmChart(): HelmChart;
    get ingressControllerHelmChart(): HelmChart;
    get clusterSetupHelmChart(): HelmChart;
    get certManagerHelmChart(): HelmChart;
    get tss(): Tss;
}
